#include <vcl\vclmin.h>
#pragma hdrstop

//---------------------------------------------------------------------------
USEUNIT("\Program Files\Borland\CBuilder\Projects\levmar\Axb.c");
USEUNIT("\Program Files\Borland\CBuilder\Projects\levmar\lmbc.c");
USEUNIT("\Program Files\Borland\CBuilder\Projects\levmar\lm.c");
USEUNIT("\Program Files\Borland\CBuilder\Projects\levmar\misc.c");
USERES("lmhelper.res");
//---------------------------------------------------------------------------

#include "stdafx.h"

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
	return 1;
}

extern "C" BOOL WINAPI _export LMNC(FITFUNC fitfunc, void *reserved, double *datavector, double *parameters,
	double *sigmas, int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_dif(fitfunc, parameters, datavector, paramsize, datasize, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

extern "C" BOOL WINAPI _export LMJNC(FITFUNC fitfunc, FITFUNC derfunc, void *reserved, double *datavector,
  double *parameters, double *sigmas, int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_der(fitfunc, derfunc, parameters, datavector, paramsize, datasize, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

extern "C" BOOL WINAPI _export LMBC(FITFUNC fitfunc, void *reserved, double *datavector, double *parameters,
	double *sigmas, double *lbound, double *ubound, int datasize, int paramsize, 
  LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_bc_dif(fitfunc, parameters, datavector, paramsize, datasize, lbound, ubound, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

extern "C" BOOL WINAPI _export LMJBC(FITFUNC fitfunc, FITFUNC derfunc, void *reserved, double *datavector,
  double *parameters, double *sigmas, double *lbound, double *ubound, 
  int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_bc_der(fitfunc, derfunc, parameters, datavector, paramsize, datasize,
    lbound, ubound, options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};


