// lmhelper.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"


#ifdef _MANAGED
#pragma managed(push, off)
#endif

// wizard-generated func
BOOL APIENTRY DllMain(HMODULE hModule, DWORD  ul_reason_for_call, LPVOID lpReserved)
{
  return TRUE;
};

BOOL APIENTRY LMNC(FITFUNC fitfunc, void *reserved, double *datavector, double *parameters, 
	double *sigmas, int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_dif(fitfunc, parameters, datavector, paramsize, datasize, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

BOOL APIENTRY LMJNC(FITFUNC fitfunc, FITFUNC derfunc, void *reserved, double *datavector, 
  double *parameters, double *sigmas, int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_der(fitfunc, derfunc, parameters, datavector, paramsize, datasize, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

BOOL APIENTRY LMBC(FITFUNC fitfunc, void *reserved, double *datavector, double *parameters, 
	double *sigmas, double *lbound, double *ubound, int datasize, int paramsize, 
  LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_bc_dif(fitfunc, parameters, datavector, paramsize, datasize, lbound, ubound, 
    options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

BOOL APIENTRY LMJBC(FITFUNC fitfunc, FITFUNC derfunc, void *reserved, double *datavector, 
  double *parameters, double *sigmas, double *lbound, double *ubound, 
  int datasize, int paramsize, LMOPTIONS *options)
{
#include "lminit.inc"
  ret=dlevmar_bc_der(fitfunc, derfunc, parameters, datavector, paramsize, datasize, 
    lbound, ubound, options->iterations, opts, info, NULL, covar, reserved); 
#include "lmdone.inc"
};

#ifdef _MANAGED
#pragma managed(pop)
#endif

